unit fn_pzconv;

interface

uses Windows, SysUtils, PzConv;

function fn_pzconv_new: INTEGER; cdecl;
function fn_pzconv_han2zen(var pzconv: INTEGER; str, ret: PChar): integer; cdecl;
function fn_pzconv_free(var pzconv: INTEGER): integer; cdecl;

implementation

type
  TFBPzConv = class(TPzConv);

function fn_pzconv_new: INTEGER; cdecl;
var
  FFBPzConv: TFBPzConv;
begin
  FFBPzConv := TFBPzConv.Create(nil);
  Result := INTEGER(FFBPzConv);
end;

function fn_pzconv_han2zen(var pzconv: INTEGER; str, ret: PChar): integer; cdecl;
var
  FFBPzConv: TFBPzConv;
begin
  FFBPzConv := TFBPzConv(pzconv);
  StrCopy(ret, PChar(FFBPzConv.HanToZen(str)));
  Result := pzconv;
end;

function fn_pzconv_free(var pzconv: INTEGER): integer; cdecl;
var
  FFBPzConv: TFBPzConv;
begin
  FFBPzConv := TFBPzConv(pzconv);
  FFBPzConv.Free;
  Result := 1;
end;

end.
